Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class ServiceModelUtil

    java.lang.Object
      org.apache.cxf.service.model.ServiceModelUtil

    public final class ServiceModelUtil

extends java.lang.Object

Method Summary
`static EndpointInfo` | `findBestEndpointInfo(javax.xml.namespace.QName qn, java.util.List<ServiceInfo> serviceInfos)`
`static BindingOperationInfo` | `getOperation(Exchange exchange, javax.xml.namespace.QName opName)`
`static BindingOperationInfo` | `getOperation(Exchange exchange, java.lang.String opName)`
`static BindingOperationInfo` | `getOperationForWrapperElement(Exchange exchange, javax.xml.namespace.QName opName, boolean output)`
`static java.util.List<java.lang.String>` | `getOperationInputPartNames(OperationInfo operation)`
`static SchemaInfo` | `getSchema(ServiceInfo serviceInfo, MessagePartInfo messagePartInfo)`
`static Service` | `getService(Exchange exchange)`
`static java.lang.String` | `getTargetNamespace(Exchange exchange)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getService

    public static Service getService(Exchange exchange)

### getTargetNamespace

    public static java.lang.String getTargetNamespace(Exchange exchange)

### getOperation

    public static BindingOperationInfo getOperation(Exchange exchange,
                                                    java.lang.String opName)

### getOperation

    public static BindingOperationInfo getOperation(Exchange exchange,
                                                    javax.xml.namespace.QName opName)

### getOperationForWrapperElement

    public static BindingOperationInfo getOperationForWrapperElement(Exchange exchange,
                                                                     javax.xml.namespace.QName opName,
                                                                     boolean output)

### getSchema

    public static SchemaInfo getSchema(ServiceInfo serviceInfo,
                                       MessagePartInfo messagePartInfo)

### getOperationInputPartNames

    public static java.util.List<java.lang.String> getOperationInputPartNames(OperationInfo operation)

### findBestEndpointInfo

    public static EndpointInfo findBestEndpointInfo(javax.xml.namespace.QName qn,
                                                    java.util.List<ServiceInfo> serviceInfos)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF